Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.soap
Class AbstractSoapVersion

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.soap.AbstractSoapVersion

All Implemented Interfaces:
  SoapVersion

Direct Known Subclasses:
  SoapVersion11, SoapVersion12

    public abstract class AbstractSoapVersion

extends java.lang.Object
implements SoapVersion

Common behaviour for all SOAP Versions

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.impl.wsdl.support.soap.SoapVersion
`SoapVersion.Utils`

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.support.soap.SoapVersion
`Soap11, Soap12`

Constructor Summary
`AbstractSoapVersion()`

Method Summary
`abstract org.apache.xmlbeans.SchemaType` | `getEnvelopeType()`
`abstract org.apache.xmlbeans.SchemaType` | `getFaultType()`
`protected abstract org.apache.xmlbeans.SchemaTypeLoader` | `getSoapEnvelopeSchemaLoader()`
`boolean` | `shouldIgnore(org.apache.xmlbeans.XmlValidationError error)` Checks if the specified validation error should be ignored for a message with this SOAP version.
`void` | `validateSoapEnvelope(java.lang.String soapMessage, java.util.List<org.apache.xmlbeans.XmlError> errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.support.soap.SoapVersion
`getBodyQName, getContentType, getContentTypeHttpHeader, getEncodingNamespace, getEnvelopeNamespace, getEnvelopeQName, getHeaderQName, getName, getSoapActionHeader, getSoapEncodingSchema, getSoapEnvelopeSchema`

Constructor Detail

### AbstractSoapVersion

    public AbstractSoapVersion()

Method Detail

### validateSoapEnvelope

    public void validateSoapEnvelope(java.lang.String soapMessage,
                                     java.util.List<org.apache.xmlbeans.XmlError> errors)

  Specified by:
    `validateSoapEnvelope` in interface `SoapVersion`

### getSoapEnvelopeSchemaLoader

    protected abstract org.apache.xmlbeans.SchemaTypeLoader getSoapEnvelopeSchemaLoader()

### shouldIgnore

    public boolean shouldIgnore(org.apache.xmlbeans.XmlValidationError error)

  Description copied from interface: `SoapVersion`
  Checks if the specified validation error should be ignored for a message with this SOAP version. (The SOAP-spec may allow some constructions not allowed by the corresponding XML-Schema)

  Specified by:
    `shouldIgnore` in interface `SoapVersion`

### getFaultType

    public abstract org.apache.xmlbeans.SchemaType getFaultType()

  Specified by:
    `getFaultType` in interface `SoapVersion`

### getEnvelopeType

    public abstract org.apache.xmlbeans.SchemaType getEnvelopeType()

  Specified by:
    `getEnvelopeType` in interface `SoapVersion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.